// Vars
$font-family: 'Arial', sans-serif;
$color-theme-dark: #222222;
$color-theme-light: #dddddd;

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
  font-family: $font-family;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: $color-theme-dark;
  overflow: hidden;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  transform: rotate(-30deg);
  animation: turn 1s ease-in-out 1.5s 1 normal forwards;
}

h1 {
  color: $color-theme-light;
  font-weight: 900;
  font-size: 17vw;
  line-height: 1;
  user-select: none;
}

.first {
  opacity: 0;
  transform: translateY(-400%);
  animation: enter1 2s ease-in-out 0s 1 normal forwards, font 1s ease-in-out 1.2s 1 normal forwards;
}

.second {
  opacity: 0;
  transform: translateY(400%);
  animation: enter2 1s ease-in-out 1s 1 normal forwards, font 1s ease-in-out 1.2s 1 normal forwards;
}

@keyframes enter1 {
  0% {
    opacity: 0;
    transform: translateY(-400%);
  }

  50% {
    opacity: 1;
    transform: translateY(80%);
  }

  75% {
    transform: translateY(0);
  }

  90% {
    transform: translateY(-80%);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes enter2 {
  0% {
    opacity: 0;
    transform: translateY(400%);
  }

  50% {
    opacity: 1;
  }

  75% {
    transform: translateY(-80%);
  }

  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes turn {
  0% {
    transform: rotate(-30deg);
  }

  60% {
    transform: rotate(8deg);
  }

  85% {
    transform: rotate(-5deg);
  }

  100% {
    transform: rotate(0);
  }
}

@keyframes font {
  0% {
    font-size: 17vw;
  }

  70% {
    font-size: 20vw;
  }

  100% {
    font-size: 18vw;
  }
}
